package org.rzo.yajsw.os.ms.win.w32;

import jnacontrib.win32.Win32Service;

import org.rzo.yajsw.os.AbstractService;
import org.rzo.yajsw.os.Service;

public class WindowsXPService extends AbstractService
{

	class MyWin32Service extends Win32Service
	{

		public MyWin32Service(String name)
		{
			super(name);
		}

		@Override
		public void onStart()
		{
		}

		@Override
		public void onStop()
		{
		}

	}

	MyWin32Service	_service;

	public boolean install()
	{
		String command = "";
		for (int i=0; i<_command.length; i++)
			if (_command[i].startsWith("\""))
				command += _command[i] + " ";
			else
				command += '"'+_command[i] + "\" ";
				
		return _service.install(_displayName, _description, _dependencies, _account, _password, command, _startType, _interactive);
	}

	public boolean start()
	{
		return _service.start();
	}

	public boolean stop()
	{
		try
		{
			return _service.stop();
		}
		catch (Exception e)
		{
			e.printStackTrace();
			return false;
		}
	}

	protected static Service getService(String name)
	{
		// TODO Auto-generated method stub
		return null;
	}

	public void init()
	{
		if (_service == null)
		{
			_service = new MyWin32Service(_name);
		}
		if (_config.getBoolean("wrapper.ntservice.interactive", false))
			_interactive = true;

	}

	public boolean uninstall()
	{
		return _service.uninstall();
	}

	public int state()
	{
		if (_service == null)
			return STATE_UNKNOWN;
		return _service.state();

	}

}
