package org.rzo.yajsw.os.posix;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import org.rzo.yajsw.os.SystemInformation;

public class PosixSystemInformation implements SystemInformation
{

	public long freeRAM()
	{
		String info = Utils.readFile("/proc/meminfo");
		if (info != null)
			try
			{
				String sp = ".*MemFree:\\s*(\\d+) kB.*";
				Pattern p = Pattern.compile(sp, Pattern.DOTALL);
				Matcher m = p.matcher(info);
				m.find();
				return Long.parseLong(m.group(1)) * 1024;
			}
			catch (Exception ex)
			{
				System.out.println("Error in freeRAM() " + ex.getMessage());
			}
		return 0;
	}

	public long totalRAM()
	{
		String info = Utils.readFile("/proc/meminfo");
		if (info != null)
			try
			{
				String sp = ".*MemTotal:\\s*(\\d+) kB.*";
				Pattern p = Pattern.compile(sp, Pattern.DOTALL);
				Matcher m = p.matcher(info);
				m.find();
				return Long.parseLong(m.group(1)) * 1024;
			}
			catch (Exception ex)
			{
				System.out.println("Error in totalRAM() " + ex.getMessage());
			}
		return 0;
	}

}
